local anim8 = require 'anim8'

local image, animation

function love.load()
	local sysMax = love.graphics.getSystemLimits().texturesize
	image = love.graphics.newImage('error.png')
	if image:getWidth() < sysMax or image:getHeight() < sysMax then
		local g = anim8.newGrid(image:getWidth(), image:getHeight()/27, image:getWidth(), image:getHeight())
		animation = anim8.newAnimation(g(1,'1-27'), 0.1)
	else imageerror = true end
end

function love.update(dt)
  if not imageerror then animation:update(dt) end
end

function love.draw()
  if not imageerror then animation:draw(image, 100, 200) else love.graphics.print("cannot display the image : too much pixels",0,0) end
end